# Package org.apache.solr.client.solrj

Primary APIs for communicating with a Solr Server from a Java client.

See: Description

Class Summary
Class | Description
--- | ---
ResponseParser |
SolrQuery | This is an augmented SolrParams with get/set/add fields for common fields used in the Standard and Dismax request handlers
SolrQuery.SortClause | A single sort clause, encapsulating what to sort and the sort order.
SolrRequest |
SolrResponse |
SolrServer |
StreamingResponseCallback | A callback interface for streaming response

Enum Summary
Enum | Description
--- | ---
SolrQuery.ORDER |
SolrRequest.METHOD |

Exception Summary
Exception | Description
--- | ---
SolrServerException | Exception to catch all types of communication / parsing issues associated with talking to SOLR

## Package org.apache.solr.client.solrj Description

Primary APIs for communicating with a Solr Server from a Java client.